Package org.eclipse.birt.core.template

# Class TextTemplate

java.lang.Object
org.eclipse.birt.core.template.TextTemplate

public class TextTemplate extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TextTemplate.ExpressionValueNode`
`static class`
`TextTemplate.ImageNode`
`static class`
`TextTemplate.Node`
`static class`
`TextTemplate.TextNode`
`static class`
`TextTemplate.ValueNode`
`static interface`
`TextTemplate.Visitor`

## Constructor Summary

Constructors
Constructor
Description
`TextTemplate()`

## Method Summary

Modifier and Type
Method
Description
`ArrayList`
`getNodes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextTemplate

public TextTemplate()

## Method Details

### getNodes

public ArrayList getNodes()